Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class TermState

    java.lang.Object
      org.apache.lucene.index.TermState

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  OrdTermState

    public abstract class TermState

extends Object
implements Cloneable

Encapsulates all required internal state to position the associated `TermsEnum` without re-seeking.

See Also:
  `TermsEnum.seekExact(org.apache.lucene.util.BytesRef, TermState)`, `TermsEnum.termState()`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`protected` | `TermState()` Sole constructor.

Method Summary
`TermState` | `clone()`
`abstract void` | `copyFrom(TermState other)` Copies the content of the given `TermState` to this instance
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermState

    protected TermState()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### copyFrom

    public abstract void copyFrom(TermState other)

  Copies the content of the given `TermState` to this instance

  Parameters:
    `other` - the TermState to copy

### clone

    public TermState clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.